Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.io
Class DeletionService

    java.lang.Object
      org.apache.cassandra.io.DeletionService

    public class DeletionService

extends java.lang.Object

Field Summary
`static java.util.concurrent.ExecutorService` | `executor`
`static int` | `MAX_RETRIES`

Constructor Summary
`DeletionService()`

Method Summary
`static void` | `submitDelete(java.lang.String file)`
`static void` | `waitFor()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_RETRIES

    public static final int MAX_RETRIES

See Also:
  Constant Field Values

### executor

    public static final java.util.concurrent.ExecutorService executor

Constructor Detail

### DeletionService

    public DeletionService()

Method Detail

### submitDelete

    public static void submitDelete(java.lang.String file)

### waitFor

    public static void waitFor()
                        throws java.lang.InterruptedException,
                               java.util.concurrent.ExecutionException

  Throws:
    `java.lang.InterruptedException`
    `java.util.concurrent.ExecutionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation